org.apache.xmlgraphics.ps

## Interface ImageEncoder

-     public interface ImageEncoder

  The interface is implemented by classes that can generate the raw bitmap field for an image that might be further encoded/compressed by the image handler class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImplicitFilter()`
    `void` | `writeTo(java.io.OutputStream out)` Writes the whole raw bitmap field to the given OutputStream.

- - ### Method Detail

    - #### writeTo

          void writeTo(java.io.OutputStream out)
                throws java.io.IOException

      Writes the whole raw bitmap field to the given OutputStream. The implementation must not close the OutputStream when it is finished!
      Parameters:
        `out` - the OutputStream to write to
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getImplicitFilter

          java.lang.String getImplicitFilter()

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.